Sites - Service Level Agreements API
List service level agreements of a site
Заголовок раздела «List service level agreements of a site»List all
service level agreements
which coverage field is set to
sites
and which cover a site with a specific ID.
GET /sites/:id/slasResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "BlackBerry Standard Smart Phone for Widget Data Center, External IT", "created_at": "2016-03-14T03:10:46-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:46-06:00", "account": { "name": "Widget North America", "id": "wna" }, "id": 145, "service_offering": { "name": "BlackBerry Standard Smart Phone", "service": { "name": "Smart Phone", "account": { "name": "Widget North America", "id": "wna" }, "id": 45, "provider": { "name": "Widget North America, Information Technology", "account": { "name": "Widget North America", "id": "wna" }, "id": 45 } }, "account": { "name": "Widget North America", "id": "wna" }, "id": 62 }, "status": "active" }, { "name": "BlackBerry Standard Smart Phone for Widget Data Center, Internal IT", "created_at": "2016-03-14T03:10:46-06:00", "sourceID": null, "updated_at": "2016-03-14T03:10:46-06:00", "account": { "name": "Widget North America", "id": "wna" }, "id": 146, "service_offering": { "name": "BlackBerry Standard Smart Phone", "service": { "name": "Smart Phone", "account": { "name": "Widget North America", "id": "wna" }, "id": 45, "provider": { "name": "Widget North America, Information Technology", "account": { "name": "Widget North America", "id": "wna" }, "id": 45 } }, "account": { "name": "Widget North America", "id": "wna" }, "id": 62 }, "status": "active" }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/sites/:id/slas/active: List all active service level agreements of a site with a specific ID/sites/:id/slas/inactive: List all inactive service level agreements of a site with a specific ID